[![Build Status](https://travis-ci.org/alejoe91/neuroplotlib.svg?branch=master)](https://travis-ci.org/alejoe91/neuroplotlib) [![PyPI version](https://badge.fury.io/py/neuroplotlib.svg)](https://badge.fury.io/py/neuroplotlib)

# Neuroplotlib

`neuroplotlib` is a Python package for plotting neuron models in [LFPy](https://github.com/LFPy/LFPy).

## Installation

`neuroplotlib` requires LFPy to be installed, which in turn requires the NEURON simulator.

You can download and install NEURON from this [link](https://www.neuron.yale.edu/neuron/download).

Then you can install LFPy with `pip` or `conda`:

```bash
pip install LFPy
```
or
```bash
conda install LFPy
```

Finally, `neuroplotlib` can be installed from `pip`:

```bash
pip install neuroplotlib
```

or from source:
```bash
git clone https://github.com/alejoe91/neuroplotlib
cd neuroplotlib
python setup.py install (or develop) 
```

## Usage

Check out this [notebook](https://github.com/alejoe91/neuroplotlib/blob/master/notebooks/neuroplotlib_gallery.ipynb) for a gallery of `neuroplotlib` features.
